> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modempay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Direct Charge

You can set up a **direct charge** by providing the `network` and the 7-digit `account_number` (no country code). This prefills the customer’s details in checkout, pending their confirmation.

Accepted networks:

* `wave`
* `afrimoney`
* `qmoney`
* `aps`

Works only with **mobile money**.

<CodeGroup>
  ```typescript nodejs theme={null}
  const intent = await modempay.paymentIntents.create({
    amount: 450,
    network: "wave",
    account_number: "7000001",
  });
  ```

  ```python python theme={null}
  payment_intent = modem_pay.payment_intents.create(
    params={"amount": 450, "network": "wave", "account_number": "7000001"}
  )
  ```

  ```php php theme={null}
  $payment_intent = $modemPay->paymentIntents()->create([
      'amount' => 450,
      'network' => 'wave',
      'account_number' => '7000001',
  ]);
  ```

  ```bash curl theme={null}
  curl -X POST "https://api.modempay.com/v1/payments" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <your_api_key>" \
    -d '{
      "data": {
        "amount": 450,
        "network": "wave",
        "account_number": "7000001",
        "from_sdk": false
      }
    }'
  ```
</CodeGroup>
